Bug 4650 - menu/toolbar icons vanish
Summary: menu/toolbar icons vanish
Status: RESOLVED WONTFIX
Alias: None
Product: GTK-Qt Engine
Classification: Unclassified
Component: GTK-Qt (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: David Sansome
QA Contact:
URL: http://bugzilla.redhat.com/bugzilla/1...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-30 11:00 UTC by Rex Dieter
Modified: 2010-07-09 07:52 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
ooo writer with blank toolbars (22.03 KB, image/png)
2005-09-30 11:31 UTC, Rex Dieter
Details
ooo writer's mostly blank edit menu (3.22 KB, image/png)
2005-09-30 11:31 UTC, Rex Dieter
Details
The same bug affects Bluefish 1.0.4. (51.68 KB, image/png)
2005-09-30 13:12 UTC, phhs80
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rex Dieter 2005-09-30 11:00:34 UTC
When using gtk-qt-engine and openoffice.org-1.9.125 (on Fedora Core 4), most of
ooo's menus and toolbars go blank, and show only the one under the mouse.

For more user feedback and a screenshot, see 
http://bugzilla.redhat.com/bugzilla/163110
Comment 1 Rex Dieter 2005-09-30 11:12:25 UTC
Confirmed problem still present using build of cvs checkout from 2005/09/30
Comment 2 Rex Dieter 2005-09-30 11:31:24 UTC
Created attachment 3442 [details]
ooo writer with blank toolbars
Comment 3 Rex Dieter 2005-09-30 11:31:46 UTC
Created attachment 3443 [details]
ooo writer's mostly blank edit menu
Comment 4 phhs80 2005-09-30 13:12:03 UTC
Created attachment 3444 [details]
The same bug affects Bluefish 1.0.4.
Comment 5 phhs80 2005-10-23 15:47:20 UTC
It seems that the reported bug does not appear when using OpenOffice 2.0.
Comment 6 Steve Storey 2005-10-24 14:44:04 UTC
(In reply to comment #5)
> It seems that the reported bug does not appear when using OpenOffice 2.0.
> 

It does for me. Output of "rpm -q openoffice.org-core kdelibs gtk-qt-engine":

openoffice.org-core-2.0.0-3.2.1
kdelibs-3.4.3-1.0.fc4.kde
gtk-qt-engine-0.60-3.fc4
Comment 7 Steve Storey 2005-10-24 14:50:03 UTC
Should have put this in the first post - apologies! Hope this will help ... if I
start oowriter from the command line, where the mouse isn't over the window at
any point, in the console I get:

(swriter.bin:5278): Gdk-CRITICAL **: gdk_pixbuf_get_from_drawable: assertion
`gdk_window_is_viewable (src)' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_bits_per_sample:
assertion `pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(swriter.bin:5278): Gdk-CRITICAL **: gdk_pixbuf_get_from_drawable: assertion
`gdk_window_is_viewable (src)' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_bits_per_sample:
assertion `pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(swriter.bin:5278): Gdk-CRITICAL **: gdk_pixbuf_get_from_drawable: assertion
`gdk_window_is_viewable (src)' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_bits_per_sample:
assertion `pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(swriter.bin:5278): Gdk-CRITICAL **: gdk_pixbuf_get_from_drawable: assertion
`gdk_window_is_viewable (src)' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_bits_per_sample:
assertion `pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(swriter.bin:5278): Gdk-CRITICAL **: gdk_pixbuf_get_from_drawable: assertion
`gdk_window_is_viewable (src)' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_bits_per_sample:
assertion `pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(swriter.bin:5278): Gdk-CRITICAL **: gdk_pixbuf_get_from_drawable: assertion
`gdk_window_is_viewable (src)' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_bits_per_sample:
assertion `pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(swriter.bin:5278): Gdk-CRITICAL **: gdk_pixbuf_get_from_drawable: assertion
`gdk_window_is_viewable (src)' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_bits_per_sample:
assertion `pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(swriter.bin:5278): Gdk-CRITICAL **: gdk_pixbuf_get_from_drawable: assertion
`gdk_window_is_viewable (src)' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_bits_per_sample:
assertion `pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion
`pixbuf != NULL' failed

(swriter.bin:5278): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

And if I change the GTK theme (in the Control Center) to Clearlooks, then I
don't get any such messages. Changing back to Qt results in the messages again.
Comment 8 phhs80 2005-10-24 14:59:48 UTC
It seems that you have not installed the official version of OpenOffice (from
OpenOffice's site). With the official version, there is no 

openoffice.org-core

I suspect that the problem only shows up in the FC4 version of OOo.

Paul
Comment 9 Eric Ding 2005-11-07 05:34:54 UTC
This bug shows up for me still in the official release of OO.o 2.0 -- I'm using
the official 2.0 binaries on Gentoo Linux, along with gtk-qt-engine 0.6 and gtk+
2.6.10. I'm running KDE, so by default OO.o uses Qt libs, but I can force it to
use GTK+ (and reproduce this issue) by running with OOO_FORCE_DESKTOP=gnome.
Comment 10 David Sansome 2006-06-24 17:55:15 UTC
Sadly it seems that this is a bug in OpenOffice - it differs from GTK in the  
order it calls the drawing functions for menus and toolbars.  When the mouse  
is moved over a toolbar button or menu item, the background is redrawn on top  
of all the existing entries and those entries not redrawn.  
  
Other theme engines seem to get away with this as they simply draw a frame,  
whereas the gtk-qt engine paints the entire area.  
  
I've committed a workaround which draws an unthemed frame around toolbars and  
menus if it detects OpenOffice is running.  It's not perfect, but I can't see 
anything else that I can do. 
Comment 11 Fikret Skrgic 2006-09-05 21:16:45 UTC
This problem still appears with openoffice 2.0.2 on Fedora 5. It was gone for a 
while using openoffice 2.0.1 and gtk-qt-engine 0.7.
Comment 12 David Sansome 2006-10-31 15:24:02 UTC
This should now be fixed (again) in SVN.
Comment 13 dexter 2007-04-20 11:51:27 UTC
(In reply to comment #12)
> This should now be fixed (again) in SVN.
> 

its back in Fedora:
openoffice.org-core-2.2.0-14.4
gtk-qt-engine-0.70-4.20061211svn.fc7
Comment 14 Mary Ellen Foster 2008-01-11 03:53:31 UTC
Still in Fedora, *sometimes*. I've just attached a couple of files to the correspoding Fedora bug -- a PowerPoint file that breaks OO.o rendering only if it is opened on the command (i.e., not through file - open) and only from my vfat partition (??? I know!). Also, in case people don't believe me, I also attached a screencast of the exact symptoms.

https://bugzilla.redhat.com/attachment.cgi?id=291371
https://bugzilla.redhat.com/attachment.cgi?id=291373

Here's the Fedora bug:
https://bugzilla.redhat.com/show_bug.cgi?id=232159
Comment 15 Rex Dieter 2010-07-09 07:52:24 UTC
closed->dontcare , we removed this from the fedora repo, no supportive upstream.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.